# Search for available phone numbers Search for available phone numbers that are available for you to activate. You can filter by any property on the available number resource. When searching, indicate the capability of the number in the array as SMS and/or VOICE. To search for a number capable of both, list both SMS and VOICE. Endpoint: GET /v1/projects/{projectId}/availableNumbers Version: 1.0.3 Security: Basic, OAuth2.0 ## Path parameters: - `projectId` (string, required) Found on your Sinch Customer Dashboard. Settings > Projects. Example: "YOUR_projectId" ## Query parameters: - `regionCode` (string, required) Region code to filter by. ISO 3166-1 alpha-2 country code of the phone number. Example: US, GB or SE. Example: "US" - `type` (string, required) Number type to filter by. Options include, MOBILE, LOCAL or TOLL_FREE. Enum: "MOBILE", "LOCAL", "TOLL_FREE" - `numberPattern.pattern` (string) Sequence of digits to search for. If you prefer or need certain digits in sequential order, you can enter the sequence of numbers here. For example, 2020. Example: "%2B120" - `numberPattern.searchPattern` (string) Search pattern to apply. The options are, START, CONTAINS, and END. Enum: "START", "CONTAINS", "END" - `capabilities` (array) Number capabilities to filter by SMS and/or VOICE. Enum: "SMS", "VOICE" - `size` (integer) Optional. The maximum number of items to return. Example: 3 ## Response 200 fields (application/json): - `availableNumbers` (array) List of available phone numbers. - `availableNumbers.phoneNumber` (string) The phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format with leading +. Example +12025550134. Example: "+12025550134" - `availableNumbers.regionCode` (string) ISO 3166-1 alpha-2 country code of the phone number. Example: US, GB or SE. Example: "US" - `availableNumbers.type` (string) The number type. Enum: "MOBILE", "LOCAL", "TOLL_FREE" - `availableNumbers.capability` (array) The capability of the number. Enum: "SMS", "VOICE" - `availableNumbers.setupPrice` (object) An object giving details on currency code and the amount charged. - `availableNumbers.setupPrice.currencyCode` (string) The 3-letter currency code defined in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html). Example: "USD" - `availableNumbers.setupPrice.amount` (string) The amount in decimal form. For example 2.00. There are no guarantees on the precision unless documented by the message origin. The amount cannot be updated and is read-only. Example: "2.00" - `availableNumbers.monthlyPrice` (object) An object giving details on currency code and the amount charged. - `availableNumbers.paymentIntervalMonths` (integer) How often the recurring price is charged in months. - `availableNumbers.supportingDocumentationRequired` (boolean) Whether or not supplementary documentation will be required to complete the number rental. ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 400 - `error.message` (string) - `error.status` (string) Enum: "INVALID_ARGUMENT" - `error.details` (array) - `error.details.type` (string) Enum: "BadRequest" - `error.details.fieldViolations` (array) - `error.details.fieldViolations.field` (string) - `error.details.fieldViolations.description` (string) ## Response 404 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 404 - `error.message` (string) - `error.status` (string) Enum: "NOT_FOUND" - `error.details` (array) - `error.details.type` (string) - `error.details.resourceType` (string) The type of the resource that was not found. - `error.details.resourceName` (string) The name of the resource that was not found. - `error.details.owner` (string) The owner of the resource that was not found. - `error.details.description` (string) A description of the error. ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 500 - `error.message` (string) - `error.status` (string) Enum: "INTERNAL", "UNKNOWN" - `error.details` (array)